Create task working memory
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/memory/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"facts": [
"<string>"
],
"insights": [
"<string>"
],
"todos": [
{
"content": "<string>",
"index": 1
}
],
"tracked_files": [
{
"path": "<string>",
"summary": "<string>"
}
],
"user_runtime_input": [
"<string>"
]
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/memory/{task_id}"
payload = {
"facts": ["<string>"],
"insights": ["<string>"],
"todos": [
{
"content": "<string>",
"index": 1
}
],
"tracked_files": [
{
"path": "<string>",
"summary": "<string>"
}
],
"user_runtime_input": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
facts: ['<string>'],
insights: ['<string>'],
todos: [{content: '<string>', index: 1}],
tracked_files: [{path: '<string>', summary: '<string>'}],
user_runtime_input: ['<string>']
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/memory/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scope": "task",
"success": true,
"task_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Memory
Create task working memory
Create the working memory for a specific task. Returns 409 if memory already exists for this task. Accepts partial fields.
POST
/
api
/
v1
/
memory
/
{task_id}
Create task working memory
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
The task ID to create working memory for
Body
application/json
⌘I

